# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'

    # Note that the session will be started ONLY if you read or write from it.
    session:
        name: __Host-parent_session
        handler_id: session.handler.native_file
        save_path: '%env(resolve:SESSION_SAVE_PATH)%'
        cookie_secure: true
        cookie_httponly: true
        cookie_samesite: lax
        cookie_path: /

    #esi: true
    #fragments: true

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
